Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-1_front_end-1_ooo_engine-1_execute_loop.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-1_front_end-1_ooo_engine-1_execute_loop.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-1_front_end-1_ooo_engine-1_execute_loop.gen	(revision 145)
@@ -0,0 +1,46 @@
+Core_Glue
+1	1	+1	# nb_front_end                                                                                     
+1	4	*4	# nb_context                            [0]          [nb_front_end]
+1	1	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+1	1	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+4	4	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_reexecute                     [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0]          [nb_ooo_engine]  
+4	4	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [3][0][0][3] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-1_ooo_engine-1_execute_loop.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-1_ooo_engine-1_execute_loop.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-1_ooo_engine-1_execute_loop.gen	(revision 145)
@@ -0,0 +1,51 @@
+Core_Glue
+4	4	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]          [nb_front_end]
+2	2	+1	# nb_context                            [1]          [nb_front_end]
+4	4	+1	# nb_context                            [2]          [nb_front_end]
+3	3	+1	# nb_context                            [3]          [nb_front_end]
+1	1	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+4	4	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+2	2	+1	# nb_inst_decod                         [1]          [nb_front_end]   
+1	1	+1	# nb_inst_decod                         [2]          [nb_front_end]   
+3	3	+1	# nb_inst_decod                         [3]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [1]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [2]          [nb_front_end] 
+4	4 	+1	# front_end_nb_inst_branch_complete     [3]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+3	3	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_reexecute                     [0]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0]          [nb_ooo_engine]  
+3	3	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+1	1	+1	# translate_ooo_engine_num_front_end    [0][1]       [nb_ooo_engine][ooo_engine_nb_front_end]
+2	2	+1	# translate_ooo_engine_num_front_end    [0][2]       [nb_ooo_engine][ooo_engine_nb_front_end]
+3	3	+1	# translate_ooo_engine_num_front_end    [0][3]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-1_execute_loop.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-1_execute_loop.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-1_execute_loop.gen	(revision 145)
@@ -0,0 +1,78 @@
+Core_Glue
+4	4	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]          [nb_front_end]
+2	2	+1	# nb_context                            [1]          [nb_front_end]
+4	4	+1	# nb_context                            [2]          [nb_front_end]
+3	3	+1	# nb_context                            [3]          [nb_front_end]
+3	3	+1	# nb_ooo_engine                                                                                    
+1	1	+1	# nb_execute_loop                                                                                  
+1	1	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_front_end               [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_front_end               [2]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [2]          [nb_ooo_engine]
+3	3	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+2	2	+1	# nb_inst_decod                         [1]          [nb_front_end]   
+1	1	+1	# nb_inst_decod                         [2]          [nb_front_end]   
+3	3	+1	# nb_inst_decod                         [3]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [1]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [2]          [nb_front_end] 
+3	3 	+1	# front_end_nb_inst_branch_complete     [3]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_inst_branch_complete    [1]          [nb_ooo_engine]
+3	3	+1	# ooo_engine_nb_inst_branch_complete    [2]          [nb_ooo_engine]
+3	3	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_insert                        [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_insert                        [2]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_reexecute                     [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_reexecute                     [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_reexecute                     [2]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_issue                         [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_issue                         [2]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+3	3	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+1	1	+1	# translate_ooo_engine_num_front_end    [1][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+2	2	+1	# translate_ooo_engine_num_front_end    [1][1]       [nb_ooo_engine][ooo_engine_nb_front_end]
+3	3	+1	# translate_ooo_engine_num_front_end    [2][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+1	1	+1	# translate_execute_loop_num_ooo_engine [0][1]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+2	2	+1	# translate_execute_loop_num_ooo_engine [0][2]       [nb_execute_loop][execute_loop_nb_ooo_engine]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-2_execute_loop.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-2_execute_loop.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/SelfTest/configuration/config-4_front_end-3_ooo_engine-2_execute_loop.gen	(revision 145)
@@ -0,0 +1,101 @@
+Core_Glue
+4	4	+1	# nb_front_end                                                                                     
+1	1	+1	# nb_context                            [0]          [nb_front_end]
+2	2	+1	# nb_context                            [1]          [nb_front_end]
+4	4	+1	# nb_context                            [2]          [nb_front_end]
+3	3	+1	# nb_context                            [3]          [nb_front_end]
+3	3	+1	# nb_ooo_engine                                                                                    
+2	2	+1	# nb_execute_loop                                                                                  
+1	1	+1	# ooo_engine_nb_front_end               [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_front_end               [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_front_end               [2]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_execute_loop            [1]          [nb_ooo_engine]
+1	1	+1	# ooo_engine_nb_execute_loop            [2]          [nb_ooo_engine]
+2	2	+1	# execute_loop_nb_ooo_engine            [0]          [nb_execute_loop]
+1	1	+1	# execute_loop_nb_ooo_engine            [1]          [nb_execute_loop]
+4	4	+1	# nb_inst_decod                         [0]          [nb_front_end]   
+2	2	+1	# nb_inst_decod                         [1]          [nb_front_end]   
+1	1	+1	# nb_inst_decod                         [2]          [nb_front_end]   
+3	3	+1	# nb_inst_decod                         [3]          [nb_front_end]   
+4	4 	+1	# front_end_nb_inst_branch_complete     [0]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [1]          [nb_front_end] 
+2	2 	+1	# front_end_nb_inst_branch_complete     [2]          [nb_front_end] 
+3	3 	+1	# front_end_nb_inst_branch_complete     [3]          [nb_front_end] 
+4	4	+1	# ooo_engine_nb_inst_branch_complete    [0]          [nb_ooo_engine]
+2	2	+1	# ooo_engine_nb_inst_branch_complete    [1]          [nb_ooo_engine]
+3	3	+1	# ooo_engine_nb_inst_branch_complete    [2]          [nb_ooo_engine]
+3	3	+1	# nb_inst_insert                        [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_insert                        [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_insert                        [2]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_reexecute                     [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_reexecute                     [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_reexecute                     [2]          [nb_ooo_engine]  
+3	3	+1	# nb_inst_issue                         [0]          [nb_ooo_engine]  
+1	1	+1	# nb_inst_issue                         [1]          [nb_ooo_engine]  
+2	2	+1	# nb_inst_issue                         [2]          [nb_ooo_engine]  
+4	4	+1	# nb_inst_execute                       [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+3	3	+1	# nb_inst_execute                       [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [1][1]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+4	4	+1	# nb_inst_execute                       [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+3	3	+1	# nb_read_unit                          [0]          [nb_execute_loop]
+3	3	+1	# nb_read_unit                          [1]          [nb_execute_loop]
+4	4	+1	# nb_write_unit                         [0]          [nb_execute_loop]
+3	3	+1	# nb_write_unit                         [1]          [nb_execute_loop]
+3	3	+1	# size_depth                                                                                       
+5	5	+1	# size_rob_ptr                                                                                     
+8	8	+1	# size_load_queue_ptr                                                                              
+8	8	+1	# size_store_queue_ptr                                                                             
+32	32	+1	# size_general_data                                                                                
+2	2	+1	# size_special_data                                                                                
+6	6	+1	# size_general_register                                                                            
+2	2	+1	# size_special_register                                                                            
+1	1	+1	# dispatch_priority                                                                                
+1	1	+1	# dispatch_load_balancing                                                                          
+1	1	+1	# table_dispatch                        [0][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][0][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][1][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [0][2][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [1][0][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][0][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][0][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][1][0] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit] 
+1	1	+1	# table_dispatch                        [2][1][1][1] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+1	1	+1	# table_dispatch                        [2][1][1][2] [nb_ooo_engine][nb_inst_issue][execute_loop][nb_read_unit]
+0	0	+1	# translate_ooo_engine_num_front_end    [0][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+1	1	+1	# translate_ooo_engine_num_front_end    [1][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+2	2	+1	# translate_ooo_engine_num_front_end    [1][1]       [nb_ooo_engine][ooo_engine_nb_front_end]
+3	3	+1	# translate_ooo_engine_num_front_end    [2][0]       [nb_ooo_engine][ooo_engine_nb_front_end]
+0	0	+1	# translate_ooo_engine_num_execute_loop [0][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+1	1	+1	# translate_ooo_engine_num_execute_loop [1][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [1][1]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_ooo_engine_num_execute_loop [2][0]       [nb_ooo_engine][ooo_engine_nb_execute_loop]
+0	0	+1	# translate_execute_loop_num_ooo_engine [0][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+2	2	+1	# translate_execute_loop_num_ooo_engine [0][1]       [nb_execute_loop][execute_loop_nb_ooo_engine]
+1	1	+1	# translate_execute_loop_num_ooo_engine [1][0]       [nb_execute_loop][execute_loop_nb_ooo_engine]
